---
name: orgs-1-routes
description: Handle 80 OpenAPI operation(s) under /orgs/{org} for the orgs 1 route group.
---

# orgs 1 API Routes

Handle 80 OpenAPI operation(s) under /orgs/{org} for the orgs 1 route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### orgs_get

- Operation ID: `orgs_get`
- Route: `GET /orgs/{org}`
- Mode: READ
- Summary: Get an organization
- Parameters:
  - `org` in `path` required

### orgs_update

- Operation ID: `orgs_update`
- Route: `PATCH /orgs/{org}`
- Mode: WRITE
- Summary: Update an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_delete

- Operation ID: `orgs_delete`
- Route: `DELETE /orgs/{org}`
- Mode: WRITE
- Summary: Delete an organization
- Parameters:
  - `org` in `path` required

### actions_get_actions_cache_usage_for_org

- Operation ID: `actions_get_actions_cache_usage_for_org`
- Route: `GET /orgs/{org}/actions/cache/usage`
- Mode: READ
- Summary: Get GitHub Actions cache usage for an organization
- Parameters:
  - `org` in `path` required

### actions_get_actions_cache_usage_by_repo_for_org

- Operation ID: `actions_get_actions_cache_usage_by_repo_for_org`
- Route: `GET /orgs/{org}/actions/cache/usage-by-repository`
- Mode: READ
- Summary: List repositories with GitHub Actions cache usage for an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_list_hosted_runners_for_org

- Operation ID: `actions_list_hosted_runners_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners`
- Mode: READ
- Summary: List GitHub-hosted runners for an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_create_hosted_runner_for_org

- Operation ID: `actions_create_hosted_runner_for_org`
- Route: `POST /orgs/{org}/actions/hosted-runners`
- Mode: WRITE
- Summary: Create a GitHub-hosted runner for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_list_custom_images_for_org

- Operation ID: `actions_list_custom_images_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/custom`
- Mode: READ
- Summary: List custom images for an organization
- Parameters:
  - `org` in `path` required

### actions_get_custom_image_for_org

- Operation ID: `actions_get_custom_image_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}`
- Mode: READ
- Summary: Get a custom image definition for GitHub Actions Hosted Runners
- Parameters:
  - `org` in `path` required
  - `image_definition_id` in `path` required

### actions_delete_custom_image_from_org

- Operation ID: `actions_delete_custom_image_from_org`
- Route: `DELETE /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}`
- Mode: WRITE
- Summary: Delete a custom image from the organization
- Parameters:
  - `org` in `path` required
  - `image_definition_id` in `path` required

### actions_list_custom_image_versions_for_org

- Operation ID: `actions_list_custom_image_versions_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions`
- Mode: READ
- Summary: List image versions of a custom image for an organization
- Parameters:
  - `image_definition_id` in `path` required
  - `org` in `path` required

### actions_get_custom_image_version_for_org

- Operation ID: `actions_get_custom_image_version_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`
- Mode: READ
- Summary: Get an image version of a custom image for GitHub Actions Hosted Runners
- Parameters:
  - `org` in `path` required
  - `image_definition_id` in `path` required
  - `version` in `path` required

### actions_delete_custom_image_version_from_org

- Operation ID: `actions_delete_custom_image_version_from_org`
- Route: `DELETE /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`
- Mode: WRITE
- Summary: Delete an image version of custom image from the organization
- Parameters:
  - `org` in `path` required
  - `image_definition_id` in `path` required
  - `version` in `path` required

### actions_get_hosted_runners_github_owned_images_for_org

- Operation ID: `actions_get_hosted_runners_github_owned_images_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/github-owned`
- Mode: READ
- Summary: Get GitHub-owned images for GitHub-hosted runners in an organization
- Parameters:
  - `org` in `path` required

### actions_get_hosted_runners_partner_images_for_org

- Operation ID: `actions_get_hosted_runners_partner_images_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/images/partner`
- Mode: READ
- Summary: Get partner images for GitHub-hosted runners in an organization
- Parameters:
  - `org` in `path` required

### actions_get_hosted_runners_limits_for_org

- Operation ID: `actions_get_hosted_runners_limits_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/limits`
- Mode: READ
- Summary: Get limits on GitHub-hosted runners for an organization
- Parameters:
  - `org` in `path` required

### actions_get_hosted_runners_machine_specs_for_org

- Operation ID: `actions_get_hosted_runners_machine_specs_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/machine-sizes`
- Mode: READ
- Summary: Get GitHub-hosted runners machine specs for an organization
- Parameters:
  - `org` in `path` required

### actions_get_hosted_runners_platforms_for_org

- Operation ID: `actions_get_hosted_runners_platforms_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/platforms`
- Mode: READ
- Summary: Get platforms for GitHub-hosted runners in an organization
- Parameters:
  - `org` in `path` required

### actions_get_hosted_runner_for_org

- Operation ID: `actions_get_hosted_runner_for_org`
- Route: `GET /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`
- Mode: READ
- Summary: Get a GitHub-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `hosted_runner_id` in `path` required

### actions_update_hosted_runner_for_org

- Operation ID: `actions_update_hosted_runner_for_org`
- Route: `PATCH /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`
- Mode: WRITE
- Summary: Update a GitHub-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `hosted_runner_id` in `path` required
- Body: JSON request body accepted.

### actions_delete_hosted_runner_for_org

- Operation ID: `actions_delete_hosted_runner_for_org`
- Route: `DELETE /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`
- Mode: WRITE
- Summary: Delete a GitHub-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `hosted_runner_id` in `path` required

### oidc_list_oidc_custom_property_inclusions_for_org

- Operation ID: `oidc_list_oidc_custom_property_inclusions_for_org`
- Route: `GET /orgs/{org}/actions/oidc/customization/properties/repo`
- Mode: READ
- Summary: List OIDC custom property inclusions for an organization
- Parameters:
  - `org` in `path` required

### oidc_create_oidc_custom_property_inclusion_for_org

- Operation ID: `oidc_create_oidc_custom_property_inclusion_for_org`
- Route: `POST /orgs/{org}/actions/oidc/customization/properties/repo`
- Mode: WRITE
- Summary: Create an OIDC custom property inclusion for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### oidc_delete_oidc_custom_property_inclusion_for_org

- Operation ID: `oidc_delete_oidc_custom_property_inclusion_for_org`
- Route: `DELETE /orgs/{org}/actions/oidc/customization/properties/repo/{custom_property_name}`
- Mode: WRITE
- Summary: Delete an OIDC custom property inclusion for an organization
- Parameters:
  - `org` in `path` required
  - `custom_property_name` in `path` required

### oidc_get_oidc_custom_sub_template_for_org

- Operation ID: `oidc_get_oidc_custom_sub_template_for_org`
- Route: `GET /orgs/{org}/actions/oidc/customization/sub`
- Mode: READ
- Summary: Get the customization template for an OIDC subject claim for an organization
- Parameters:
  - `org` in `path` required

### oidc_update_oidc_custom_sub_template_for_org

- Operation ID: `oidc_update_oidc_custom_sub_template_for_org`
- Route: `PUT /orgs/{org}/actions/oidc/customization/sub`
- Mode: WRITE
- Summary: Set the customization template for an OIDC subject claim for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_github_actions_permissions_organization

- Operation ID: `actions_get_github_actions_permissions_organization`
- Route: `GET /orgs/{org}/actions/permissions`
- Mode: READ
- Summary: Get GitHub Actions permissions for an organization
- Parameters:
  - `org` in `path` required

### actions_set_github_actions_permissions_organization

- Operation ID: `actions_set_github_actions_permissions_organization`
- Route: `PUT /orgs/{org}/actions/permissions`
- Mode: WRITE
- Summary: Set GitHub Actions permissions for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_artifact_and_log_retention_settings_organization

- Operation ID: `actions_get_artifact_and_log_retention_settings_organization`
- Route: `GET /orgs/{org}/actions/permissions/artifact-and-log-retention`
- Mode: READ
- Summary: Get artifact and log retention settings for an organization
- Parameters:
  - `org` in `path` required

### actions_set_artifact_and_log_retention_settings_organization

- Operation ID: `actions_set_artifact_and_log_retention_settings_organization`
- Route: `PUT /orgs/{org}/actions/permissions/artifact-and-log-retention`
- Mode: WRITE
- Summary: Set artifact and log retention settings for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_fork_pr_contributor_approval_permissions_organization

- Operation ID: `actions_get_fork_pr_contributor_approval_permissions_organization`
- Route: `GET /orgs/{org}/actions/permissions/fork-pr-contributor-approval`
- Mode: READ
- Summary: Get fork PR contributor approval permissions for an organization
- Parameters:
  - `org` in `path` required

### actions_set_fork_pr_contributor_approval_permissions_organization

- Operation ID: `actions_set_fork_pr_contributor_approval_permissions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/fork-pr-contributor-approval`
- Mode: WRITE
- Summary: Set fork PR contributor approval permissions for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_private_repo_fork_pr_workflows_settings_organization

- Operation ID: `actions_get_private_repo_fork_pr_workflows_settings_organization`
- Route: `GET /orgs/{org}/actions/permissions/fork-pr-workflows-private-repos`
- Mode: READ
- Summary: Get private repo fork PR workflow settings for an organization
- Parameters:
  - `org` in `path` required

### actions_set_private_repo_fork_pr_workflows_settings_organization

- Operation ID: `actions_set_private_repo_fork_pr_workflows_settings_organization`
- Route: `PUT /orgs/{org}/actions/permissions/fork-pr-workflows-private-repos`
- Mode: WRITE
- Summary: Set private repo fork PR workflow settings for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_list_selected_repositories_enabled_github_actions_organization

- Operation ID: `actions_list_selected_repositories_enabled_github_actions_organization`
- Route: `GET /orgs/{org}/actions/permissions/repositories`
- Mode: READ
- Summary: List selected repositories enabled for GitHub Actions in an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_set_selected_repositories_enabled_github_actions_organization

- Operation ID: `actions_set_selected_repositories_enabled_github_actions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/repositories`
- Mode: WRITE
- Summary: Set selected repositories enabled for GitHub Actions in an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_enable_selected_repository_github_actions_organization

- Operation ID: `actions_enable_selected_repository_github_actions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/repositories/{repository_id}`
- Mode: WRITE
- Summary: Enable a selected repository for GitHub Actions in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### actions_disable_selected_repository_github_actions_organization

- Operation ID: `actions_disable_selected_repository_github_actions_organization`
- Route: `DELETE /orgs/{org}/actions/permissions/repositories/{repository_id}`
- Mode: WRITE
- Summary: Disable a selected repository for GitHub Actions in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### actions_get_allowed_actions_organization

- Operation ID: `actions_get_allowed_actions_organization`
- Route: `GET /orgs/{org}/actions/permissions/selected-actions`
- Mode: READ
- Summary: Get allowed actions and reusable workflows for an organization
- Parameters:
  - `org` in `path` required

### actions_set_allowed_actions_organization

- Operation ID: `actions_set_allowed_actions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/selected-actions`
- Mode: WRITE
- Summary: Set allowed actions and reusable workflows for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_self_hosted_runners_permissions_organization

- Operation ID: `actions_get_self_hosted_runners_permissions_organization`
- Route: `GET /orgs/{org}/actions/permissions/self-hosted-runners`
- Mode: READ
- Summary: Get self-hosted runners settings for an organization
- Parameters:
  - `org` in `path` required

### actions_set_self_hosted_runners_permissions_organization

- Operation ID: `actions_set_self_hosted_runners_permissions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/self-hosted-runners`
- Mode: WRITE
- Summary: Set self-hosted runners settings for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_list_selected_repositories_self_hosted_runners_organization

- Operation ID: `actions_list_selected_repositories_self_hosted_runners_organization`
- Route: `GET /orgs/{org}/actions/permissions/self-hosted-runners/repositories`
- Mode: READ
- Summary: List repositories allowed to use self-hosted runners in an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_set_selected_repositories_self_hosted_runners_organization

- Operation ID: `actions_set_selected_repositories_self_hosted_runners_organization`
- Route: `PUT /orgs/{org}/actions/permissions/self-hosted-runners/repositories`
- Mode: WRITE
- Summary: Set repositories allowed to use self-hosted runners in an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_enable_selected_repository_self_hosted_runners_organization

- Operation ID: `actions_enable_selected_repository_self_hosted_runners_organization`
- Route: `PUT /orgs/{org}/actions/permissions/self-hosted-runners/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add a repository to the list of repositories allowed to use self-hosted runners in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### actions_disable_selected_repository_self_hosted_runners_organization

- Operation ID: `actions_disable_selected_repository_self_hosted_runners_organization`
- Route: `DELETE /orgs/{org}/actions/permissions/self-hosted-runners/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove a repository from the list of repositories allowed to use self-hosted runners in an organization
- Parameters:
  - `org` in `path` required
  - `repository_id` in `path` required

### actions_get_github_actions_default_workflow_permissions_organization

- Operation ID: `actions_get_github_actions_default_workflow_permissions_organization`
- Route: `GET /orgs/{org}/actions/permissions/workflow`
- Mode: READ
- Summary: Get default workflow permissions for an organization
- Parameters:
  - `org` in `path` required

### actions_set_github_actions_default_workflow_permissions_organization

- Operation ID: `actions_set_github_actions_default_workflow_permissions_organization`
- Route: `PUT /orgs/{org}/actions/permissions/workflow`
- Mode: WRITE
- Summary: Set default workflow permissions for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_list_self_hosted_runner_groups_for_org

- Operation ID: `actions_list_self_hosted_runner_groups_for_org`
- Route: `GET /orgs/{org}/actions/runner-groups`
- Mode: READ
- Summary: List self-hosted runner groups for an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`
  - `visible_to_repository` in `query`

### actions_create_self_hosted_runner_group_for_org

- Operation ID: `actions_create_self_hosted_runner_group_for_org`
- Route: `POST /orgs/{org}/actions/runner-groups`
- Mode: WRITE
- Summary: Create a self-hosted runner group for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_self_hosted_runner_group_for_org

- Operation ID: `actions_get_self_hosted_runner_group_for_org`
- Route: `GET /orgs/{org}/actions/runner-groups/{runner_group_id}`
- Mode: READ
- Summary: Get a self-hosted runner group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required

### actions_update_self_hosted_runner_group_for_org

- Operation ID: `actions_update_self_hosted_runner_group_for_org`
- Route: `PATCH /orgs/{org}/actions/runner-groups/{runner_group_id}`
- Mode: WRITE
- Summary: Update a self-hosted runner group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
- Body: JSON request body accepted.

### actions_delete_self_hosted_runner_group_from_org

- Operation ID: `actions_delete_self_hosted_runner_group_from_org`
- Route: `DELETE /orgs/{org}/actions/runner-groups/{runner_group_id}`
- Mode: WRITE
- Summary: Delete a self-hosted runner group from an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required

### actions_list_github_hosted_runners_in_group_for_org

- Operation ID: `actions_list_github_hosted_runners_in_group_for_org`
- Route: `GET /orgs/{org}/actions/runner-groups/{runner_group_id}/hosted-runners`
- Mode: READ
- Summary: List GitHub-hosted runners in a group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_list_repo_access_to_self_hosted_runner_group_in_org

- Operation ID: `actions_list_repo_access_to_self_hosted_runner_group_in_org`
- Route: `GET /orgs/{org}/actions/runner-groups/{runner_group_id}/repositories`
- Mode: READ
- Summary: List repository access to a self-hosted runner group in an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### actions_set_repo_access_to_self_hosted_runner_group_in_org

- Operation ID: `actions_set_repo_access_to_self_hosted_runner_group_in_org`
- Route: `PUT /orgs/{org}/actions/runner-groups/{runner_group_id}/repositories`
- Mode: WRITE
- Summary: Set repository access for a self-hosted runner group in an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
- Body: JSON request body accepted.

### actions_add_repo_access_to_self_hosted_runner_group_in_org

- Operation ID: `actions_add_repo_access_to_self_hosted_runner_group_in_org`
- Route: `PUT /orgs/{org}/actions/runner-groups/{runner_group_id}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add repository access to a self-hosted runner group in an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `repository_id` in `path` required

### actions_remove_repo_access_to_self_hosted_runner_group_in_org

- Operation ID: `actions_remove_repo_access_to_self_hosted_runner_group_in_org`
- Route: `DELETE /orgs/{org}/actions/runner-groups/{runner_group_id}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove repository access to a self-hosted runner group in an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `repository_id` in `path` required

### actions_list_self_hosted_runners_in_group_for_org

- Operation ID: `actions_list_self_hosted_runners_in_group_for_org`
- Route: `GET /orgs/{org}/actions/runner-groups/{runner_group_id}/runners`
- Mode: READ
- Summary: List self-hosted runners in a group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_set_self_hosted_runners_in_group_for_org

- Operation ID: `actions_set_self_hosted_runners_in_group_for_org`
- Route: `PUT /orgs/{org}/actions/runner-groups/{runner_group_id}/runners`
- Mode: WRITE
- Summary: Set self-hosted runners in a group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
- Body: JSON request body accepted.

### actions_add_self_hosted_runner_to_group_for_org

- Operation ID: `actions_add_self_hosted_runner_to_group_for_org`
- Route: `PUT /orgs/{org}/actions/runner-groups/{runner_group_id}/runners/{runner_id}`
- Mode: WRITE
- Summary: Add a self-hosted runner to a group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `runner_id` in `path` required

### actions_remove_self_hosted_runner_from_group_for_org

- Operation ID: `actions_remove_self_hosted_runner_from_group_for_org`
- Route: `DELETE /orgs/{org}/actions/runner-groups/{runner_group_id}/runners/{runner_id}`
- Mode: WRITE
- Summary: Remove a self-hosted runner from a group for an organization
- Parameters:
  - `org` in `path` required
  - `runner_group_id` in `path` required
  - `runner_id` in `path` required

### actions_list_self_hosted_runners_for_org

- Operation ID: `actions_list_self_hosted_runners_for_org`
- Route: `GET /orgs/{org}/actions/runners`
- Mode: READ
- Summary: List self-hosted runners for an organization
- Parameters:
  - `name` in `query`
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_list_runner_applications_for_org

- Operation ID: `actions_list_runner_applications_for_org`
- Route: `GET /orgs/{org}/actions/runners/downloads`
- Mode: READ
- Summary: List runner applications for an organization
- Parameters:
  - `org` in `path` required

### actions_generate_runner_jitconfig_for_org

- Operation ID: `actions_generate_runner_jitconfig_for_org`
- Route: `POST /orgs/{org}/actions/runners/generate-jitconfig`
- Mode: WRITE
- Summary: Create configuration for a just-in-time runner for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_create_registration_token_for_org

- Operation ID: `actions_create_registration_token_for_org`
- Route: `POST /orgs/{org}/actions/runners/registration-token`
- Mode: WRITE
- Summary: Create a registration token for an organization
- Parameters:
  - `org` in `path` required

### actions_create_remove_token_for_org

- Operation ID: `actions_create_remove_token_for_org`
- Route: `POST /orgs/{org}/actions/runners/remove-token`
- Mode: WRITE
- Summary: Create a remove token for an organization
- Parameters:
  - `org` in `path` required

### actions_get_self_hosted_runner_for_org

- Operation ID: `actions_get_self_hosted_runner_for_org`
- Route: `GET /orgs/{org}/actions/runners/{runner_id}`
- Mode: READ
- Summary: Get a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required

### actions_delete_self_hosted_runner_from_org

- Operation ID: `actions_delete_self_hosted_runner_from_org`
- Route: `DELETE /orgs/{org}/actions/runners/{runner_id}`
- Mode: WRITE
- Summary: Delete a self-hosted runner from an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required

### actions_list_labels_for_self_hosted_runner_for_org

- Operation ID: `actions_list_labels_for_self_hosted_runner_for_org`
- Route: `GET /orgs/{org}/actions/runners/{runner_id}/labels`
- Mode: READ
- Summary: List labels for a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required

### actions_add_custom_labels_to_self_hosted_runner_for_org

- Operation ID: `actions_add_custom_labels_to_self_hosted_runner_for_org`
- Route: `POST /orgs/{org}/actions/runners/{runner_id}/labels`
- Mode: WRITE
- Summary: Add custom labels to a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required
- Body: JSON request body accepted.

### actions_set_custom_labels_for_self_hosted_runner_for_org

- Operation ID: `actions_set_custom_labels_for_self_hosted_runner_for_org`
- Route: `PUT /orgs/{org}/actions/runners/{runner_id}/labels`
- Mode: WRITE
- Summary: Set custom labels for a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required
- Body: JSON request body accepted.

### actions_remove_all_custom_labels_from_self_hosted_runner_for_org

- Operation ID: `actions_remove_all_custom_labels_from_self_hosted_runner_for_org`
- Route: `DELETE /orgs/{org}/actions/runners/{runner_id}/labels`
- Mode: WRITE
- Summary: Remove all custom labels from a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required

### actions_remove_custom_label_from_self_hosted_runner_for_org

- Operation ID: `actions_remove_custom_label_from_self_hosted_runner_for_org`
- Route: `DELETE /orgs/{org}/actions/runners/{runner_id}/labels/{name}`
- Mode: WRITE
- Summary: Remove a custom label from a self-hosted runner for an organization
- Parameters:
  - `org` in `path` required
  - `runner_id` in `path` required
  - `name` in `path` required

### actions_list_org_secrets

- Operation ID: `actions_list_org_secrets`
- Route: `GET /orgs/{org}/actions/secrets`
- Mode: READ
- Summary: List organization secrets
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_get_org_public_key

- Operation ID: `actions_get_org_public_key`
- Route: `GET /orgs/{org}/actions/secrets/public-key`
- Mode: READ
- Summary: Get an organization public key
- Parameters:
  - `org` in `path` required

### actions_get_org_secret

- Operation ID: `actions_get_org_secret`
- Route: `GET /orgs/{org}/actions/secrets/{secret_name}`
- Mode: READ
- Summary: Get an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### actions_create_or_update_org_secret

- Operation ID: `actions_create_or_update_org_secret`
- Route: `PUT /orgs/{org}/actions/secrets/{secret_name}`
- Mode: WRITE
- Summary: Create or update an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### actions_delete_org_secret

- Operation ID: `actions_delete_org_secret`
- Route: `DELETE /orgs/{org}/actions/secrets/{secret_name}`
- Mode: WRITE
- Summary: Delete an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### actions_list_selected_repos_for_org_secret

- Operation ID: `actions_list_selected_repos_for_org_secret`
- Route: `GET /orgs/{org}/actions/secrets/{secret_name}/repositories`
- Mode: READ
- Summary: List selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `page` in `query`
  - `per_page` in `query`
